//****************************************************************************
//
//                          Intel Corporation
//                    Jones Farm, Hillsboro, Oregon
//                           (503) 696-8080
//
//                Intel Corporation Proprietary Information
//        Copyright (c) 2006 Intel Corporation, All Rights Reserved
//****************************************************************************

//
// One Boot Flash Update Package for S5000XAL
// Contents: 
//	BIOS = R0066
//	BMC  = ALBMC55
//  FRU  = FAL_37
// 	

// Check Platform ID
PROBE           "SYSTEM" "S5000PAL0"
FOUND           "SAL"  ""

PROBE           "SYSTEM" "S5000PAL"
FOUND           "SAL"  ""

PROBE           "SYSTEM" "S5000XAL0"
FOUND           "SAL"  ""

PROBE           "SYSTEM" "S5000XAL"
FOUND           "SAL"  ""

IFSET "SAL"
	// Check for BMC & BIOS dependencies
	PROBE BIOSVER "35+"
	FOUND "BIOSOK" "BIOSNOTOK" 

	PROBE BMCVER "0.38+" 
	FOUND "BMCOK" "BMCNOTOK"

	IFSET "BMCOK" "BIOSOK"
		FWNAME "ALBMC55.hex"   
		BIOSNAME "R0066.Cap"
		CFGNAME "MASTER.CFG"
		
		// HSC Update
		
		PROMPT "Would you like to update HSC?"
			YES  "YESHSC"
			NO   ""	
  		IFSET "YESHSC"
  		
			IFSET "Driskill_HSBP"
					DISPLAY "Server System SR2500AL HSBP detected"
					HSCNAME "DR235202.hex" "SR2500AL"
			ENDIF

			IFSET "Dowling_HSBP"
					DISPLAY "Server System SR1500AL HSBP detected"
					HSCNAME "DO2_202.hex" "SR1500AL"
			ENDIF

			IFSET "Petrofbay_HSBP"
					DISPLAY "Server System SR1550AL HSBP detected"
					HSCNAME "PET202.hex" "SR1550AL"
			ENDIF
		ENDIF
		
	ELSE
		IFSET BIOSNOTOK
			DISPLAY "ERROR: Current BIOS is not compatible to be updated to this package!"
		ENDIF
		IFSET BMCNOTOK
			DISPLAY "ERROR: Current BMC Firmware is not compatible to be updated to this package!"
		ENDIF
	ENDIF //BMC & BIOS CHECK

ELSE
	DISPLAY "ERROR: Update package is not intended for this platform!"
	ERRORLEVEL 09
ENDIF //platform ID check

// End of configuration file



